Modellierung

Zur Modellierung wird der Virtual Developer Modeler mit mindestens der Version 1.0.0 benötigt.

Generierung

Es wird der Virtual Developer Cloud-Connector mit mindestens der Version 1.0.0 benötigt.

Abhänigkeiten des generierten Codes

Eine generierte Anwendung nutzt folgende Frameworks, Plattformen und Sprachen:

  • Java
  • JSE 6
  • JPA Provider, der die Version 2.0 implementiert (z.B. Hibernate oder Eclipselink)
  • JUnit 4, zur Ausführung von generierten Unit-Tests